<?php

//---------------------------------------------------------------------------------
// mm_widget_template
// A template for creating new widgets
//--------------------------------------------------------------------------------- 
function mm_widget_template($fields, $other_param='defaultValue', $roles='', $templates='') {
	
	global $modx, $content;
	$e = &$modx->Event;
	
	if (useThisRule($roles, $templates)) {
		
		// Your output should be stored in a string, which is outputted at the end
		// It will be inserted as a Javascript block (with jQuery), which is executed on document ready
		$output = '';		
		
		// if we've been supplied with a string, convert it into an array 
		$fields = makeArray($fields);
		
		// You might want to check whether the current page's template uses the TVs that have been
		// supplied, to save processing page which don't contain them
		if ($count = tplUseTvs($content['template'], $fields) == 0) {
			return;
		}		
		
		// We always put a JS comment, which makes debugging much easier
		$output .= "//  -------------- Tag widget include ------------- \n";
		
		// We have functions to include JS or CSS external files you might need
		// The standard ModX API methods don't work here
		$output .= includeJs('/assets/plugins/managermanager/widgets/template/javascript.js');
		$output .= includeCss('/assets/plugins/managermanager/widgets/template/styles.css');
		
				
		// Do something for each of the fields supplied
		foreach ($fields as $targetTv) {
			
		}
	
	} // end if
	
	$e->output($output . "\n");	// Send the output to the browser
	
}

?>