<?php

//---------------------------------------------------------------------------------
// mm_widget_tags
// Adds a tag selection widget to the specified TVs
//--------------------------------------------------------------------------------- 
function mm_widget_tags($fields, $delimiter=',', $source='', $display_count=false, $roles='', $templates='') {
	
	global $modx, $content;
	$e = &$modx->Event;
	
	if (useThisRule($roles, $templates)) {
		
		$output = '';		
		
		// if we've been supplied with a string, convert it into an array 
		$fields = makeArray($fields);
		
		// And likewise for the data source (if supplied)
		$source = (empty($source)?$fields:makeArray($source));
		
		
		// Does this page's template use any of these TVs? If not, quit.
		if ($count = tplUseTvs($content['template'], $fields) == 0) {
			return;
		}		
		
		// Insert some JS  and a style sheet into the head
		$output .= "//  -------------- Tag widget include ------------- \n";
		$output .= includeJs($modx->config['base_url'] .'assets/plugins/managermanager/widgets/tags/tags.js');
		$output .= includeCss($modx->config['base_url'] .'assets/plugins/managermanager/widgets/tags/tags.css');
		
				
		// Go through each of the fields supplied
		foreach ($fields as $targetTv) {
						
				// Make an SQL friendly list of fields to look at:
				$escaped_sources = array();
				foreach ($source as $s) {
                                        $s=substr($s,2);
					$escaped_sources[] = "'".$s."'";	
				}
				$sql_sources = implode(',',$escaped_sources);
                                 
				// Get the list of current values for this TV						
				
$sql = "SELECT `value` FROM ".$modx->getFullTableName('site_tmplvar_contentvalues')." WHERE tmplvarid IN (".$sql_sources.")";


				$result= $modx->dbQuery($sql);		
				$all_docs = $modx->db->makeArray( $result );
				
				$foundTags = array();
				foreach ($all_docs as $theDoc) {
					$theTags = explode($delimiter, $theDoc['value']);
					foreach ($theTags as $t) {
						$foundTags[trim($t)]++;	
					}
				}
				
				// Sort the TV values (case insensitively)
				uksort($foundTags, 'strcasecmp');
				
				$lis = '';
				foreach($foundTags as $t=>$c) {
					$lis .= '<li title="Used '.$c.' times">'.'<span>'.jsSafe($t).'</span>'.($display_count?' ('.$c.')':'').'</li>';	
				}


				$html_list = '<ul class="mmTagList" id="'.$targetTv.'_tagList">'.$lis.'</ul>';
                               
				
				// Insert the list of tags after the field
				$output .= '  
				//  -------------- Tag widget for '.$targetTv.' --------------
				$j("#'.$targetTv.'").after(\''.$html_list.'\');   
				';
				
				// Initiate the tagCompleter class for this field
				$output .= 'var '.$targetTv.'_tags = new TagCompleter("'.$targetTv.'", "'.$targetTv.'_tagList", "'.$delimiter.'"); ';
 

			
		}
	
	}
	
	$e->output($output . "\n");
	
}

?>
